Subject: [Dime] FW: RFC 3588 "aaas" Scheme: Feedback Needed!

From: <[email-masked]>
Date: Tue, 31 Oct 2006 14:15:28 +0200

Hi all,

Hannes has asked some implementors about aaas scheme. Does anyone else
have any info on implementations of this feature?

John

>I would like to solicit some feedback regarding the usage of 
>AAAS as defined in Section 4.3. of http://www.ietf.org/rfc/rfc3588.txt:
>
>"
>   "aaas://" FQDN [ port ] [ transport ] [ protocol ] "
>
>Questions:
>
>a) Who has implemented the "aaas" scheme?
>b) Who is using the "aaas" scheme?
>
>Ciao
>Hannes
>
>
>

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Tolga Asveren" <[email-masked]>
Date: Tue, 31 Oct 2006 09:11:02 -0500

a) We did not implement it yet
b) I don't know anybody using it

And one more question:

c) Is it usefull?
Like Hannes pointed out before, it is quite similar to "sips" and has all of
the associated problems. Overall, the idea is to demand security on each
hop, but I am not sure whether a machanism where I can demand but not verify
this is much of a use.

P.S. : Currently there is a debate going on about "sips" in SIP mailing
list.

   Thanks,
   Tolga

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, October 31, 2006 7:15 AM
> To: [email-masked]
> Subject: [Dime] FW: RFC 3588 "aaas" Scheme: Feedback Needed!
>
>
> Hi all,
>

---

From: "Tolga Asveren" <[email-masked]>
Date: Tue, 31 Oct 2006 09:36:04 -0500

One more point:

Considering some type of transmission-level security is a MUST for diameter
implementations (according to RFC3588 13), I think "aaas" has not much
use/meaning.

    Thanks,
    Tolga

> From: Tolga Asveren [mailto:[email-masked]]
> Sent: Tuesday, October 31, 2006 9:11 AM
> To: [email-masked]
> Subject: RE: [Dime] FW: RFC 3588 "aaas" Scheme: Feedback Needed!
>
>